Loading...
Searching...
No Matches
juce::universal_midi_packets Namespace Reference

## Classes

struct | BytesOnGroup
| Holds a UMP group, and a span of bytes that were received or are to be sent on that group. More...
struct | DeviceInfo
| Holds MIDI device info that may be required by certain UMP messages and MIDI-CI messages. More...
struct | StringUtils
| Holds utility functions for extracting textual representations of Universal MIDI Packets. More...
class | Block
| Represents a Function Block (FB) or Group Terminal Block (GTB). More...
struct | DisconnectionListener
| An interface class for entities that are interested in disconnection notifications. More...
class | Endpoint
| Represents a single MIDI endpoint, which may have up to one input and up to one output. More...
class | EndpointId
| Identifies a MIDI endpoint. More...
struct | EndpointsListener
| An interface class for types that are interested in receiving updates about changes to available MIDI endpoints. More...
class | Endpoints
| Endpoints known to the system. More...
struct | Consumer
| An interface class for entities that consume Universal MIDI Packets from some producer. More...
class | Input
| An input (from the JUCE project's perspective) that receives messages sent by an endpoint. More...
class | LegacyVirtualInput
| Represents a virtual MIDI 1.0 input port. More...
class | LegacyVirtualOutput
| Represents a virtual MIDI 1.0 output port. More...
class | Output
| An output (from the JUCE project's perspective) that sends messages to an endpoint. More...
class | Session
| Allows creating new connections to endpoints, and also creating new virtual endpoints. More...
class | StaticDeviceInfo
| Static information about a particular MIDI device that can be queried without opening a connection to the device. More...
class | VirtualEndpoint
| Represents a virtual device that allows this program to advertise itself to other MIDI-aware applications on the system. More...

## Enumerations

enum class | IOKind : uint8_t { src , dst }
| Directional properties of a MIDI endpoint. More...
enum class | Backend { alsa , android , coremidi , winmm , winrt , wms }
| MIDI implementation technologies. More...
enum class | BlocksAreStatic : uint8_t { no , yes }
| This type is passed when creating a virtual endpoint to request static or dynamic blocks. More...

## Variables

constexpr IOKind | ioKinds [] { IOKind::src, IOKind::dst }
| All possible MIDI directions.

## Enumeration Type Documentation

## IOKind

enum class juce::universal_midi_packets::IOKind : uint8_t

strong

Directional properties of a MIDI endpoint.

Enumerator
src | A source of MIDI events.
dst | A destination for MIDI events.

## Backend

enum class juce::universal_midi_packets::Backend

strong

MIDI implementation technologies.

Enumerator
alsa | linux
android | android
coremidi | macOS, iOS
winmm | classic Windows MIDI
winrt | Windows WinRT MIDI 1.0 (experimental).
wms | Windows MIDI Services (experimental).

## BlocksAreStatic

enum class juce::universal_midi_packets::BlocksAreStatic : uint8_t

strong

This type is passed when creating a virtual endpoint to request static or dynamic blocks.

Enumerator
no | Indicates that block layouts will not change after construction.
yes | Indicates that the block layout may be modified after construction.

## Variable Documentation

## ioKinds

IOKind juce::universal_midi_packets::ioKinds[] { IOKind::src, IOKind::dst }

constexpr

All possible MIDI directions.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited